Access Keys:
Skip to content (Access Key - 0)

How do I connect to eduroam on Linux?

For other systems go to: Eduroam Landing Page

Answer

You may need to change your password
MIT users who have not changed their MIT password since June 2010 will need to change their password prior to connecting to the eduroam wifi network. Changing your password ensures that it is synchronized with the network's authentication servers.

Ubuntu 10.04 (Lucid) and higher can connect to the eduroam wireless network using NetworkManager.

  1. From the network manager icon in the top panel, select the "eduroam" wireless network.

  2. In the Authentication required by wireless network window, ensure that the following settings are used:
    • Wireless security: WPA & WPA2 Enterprise
    • Authentication: Protected EAP (PEAP)
    • Anonymous identity: (leave blank)
    • PEAP version: Automatic
    • Inner Authentication: MSCHAPv2
    • Username: (Enter your full school email address)
    • Password: (Enter your school password)

      For the username box, MIT users should enter their Kerberos username with "@mit.edu" on the end: username@mit.edu

  3. Click on CA certificate. Navigate to /usr/share/ca-certificates/mozilla and select the file "AddTrust_External_Root.crt". Click Open. Alternatively, if this file is missing from your Firefox installation, you can always download AddTrust's public key file from their website.

  4. Returning to the Authentication required window, click Connect. If all goes well, you should be connected to the network.

IS&T Contributions

Documentation and information provided by IS&T staff members


Last Modified:

September 28, 2016

Get Help

Request help
from the Help Desk
Report a security incident
to the Security Team
Labels:
eduroam eduroam Delete
c-eduroam c-eduroam Delete
linux linux Delete
Enter labels to add to this page:
Please wait 
Looking for a label? Just start typing.
Feedback
This product/service is:
Easy to use
Average
Difficult to use

This article is:
Helpful
Inaccurate
Obsolete
Adaptavist Theme Builder (4.2.3) Powered by Atlassian Confluence 3.5.13, the Enterprise Wiki